### Class

# Foundry VcsSignature

#### Description

    abstract class Foundry.VcsSignature : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitSignature

#### Instance methods

###### foundry_vcs_signature_dup_email

No description available.

###### foundry_vcs_signature_dup_name

No description available.

###### foundry_vcs_signature_dup_when

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsSignature:email

No description available.

###### Foundry.VcsSignature:name

No description available.

###### Foundry.VcsSignature:when

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsSignatureClass {
      GObjectClass parent_class;
      char* (* dup_name) (
        FoundryVcsSignature* self
      );
      char* (* dup_email) (
        FoundryVcsSignature* self
      );
      GDateTime* (* dup_when) (
        FoundryVcsSignature* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_name: char* (* dup_name) ( FoundryVcsSignature* self )`

  No description available.

`dup_email: char* (* dup_email) ( FoundryVcsSignature* self )`

  No description available.

`dup_when: GDateTime* (* dup_when) ( FoundryVcsSignature* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsSignatureClass.dup_email

No description available.

###### Foundry.VcsSignatureClass.dup_name

No description available.

###### Foundry.VcsSignatureClass.dup_when

No description available.